### Class

# Ide CompileCommands

#### Description

    final class Ide.CompileCommands : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_compile_commands_new

Creates a new `IdeCompileCommands` object which can be used to parse clang-style compile commands database files (compile_commands.json).

Available since: 3.32

#### Instance methods

###### ide_compile_commands_load

Synchronously loads the contents of the requested `file` and parses the JSON command database contained within.

Available since: 3.32

###### ide_compile_commands_load_async

Asynchronously loads the contents of the requested `file` and parses the JSON command database contained within.

Available since: 3.32

###### ide_compile_commands_load_finish

Completes an asynchronous request to ide_compile_commands_load_async().

Available since: 3.32

###### ide_compile_commands_lookup

Locates the commands to compile the `file` requested.

Available since: 3.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeCompileCommandsClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.